--- title: "Download Malware File" slug: "download-malware-file" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:02Z published: 2026-09-23T09:35:02Z canonical: "docs.trellix.com/download-malware-file" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Download Malware File This URL downloads the malware file as Base64 encoded ByteStream. ## Resource URL GET /malwarearchive/download/ ## Request Parameters Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | filehash | Hash value of the filename | String | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | byteStream | Base64 encoded byte stream of the malware file | String | ## Example Request GET [https://%3CNSM_IP%3E/sdkapi/malwarearchive/download/0bea3f79a36b1f67b2ce0f595524c77c](https://%3CNSM_IP%3E/sdkapi/malwarearchive/download/0bea3f79a36b1f67b2ce0f595524c77c) **Response** ``` { "byteStream": "TVqOAQEAAAAEAAAA//8AALgAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAA4fug4AtAnNIbgBTM0hVGhpcyBwcm9ncmFtIHJlcXVpcmVzIE1pY3Jvc29mdCBXaW5kb3dzLg0KJAAAAAAAAABORQU8JgEtAAAAAAABgwMAABQAALIWAgAAAAAAAwADAE8AQABYAOwADQETAdMBAAAHAAQAAAACCCQAdhYAAAoDJgBiyVAdYsnoDNtQUB3bUAISKElxDShJBAAFgAQAAAAAAJoWCAAwHGWAAAAAAKIWGg” } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error | | 2 | 400 | 3401 | Invalid file hash value |